import { Fragment } from 'react/jsx-runtime';
import { useAppColor } from '@/shared/lib/hooks/use-change-bg-color';

export const IOSStatusBar = () => {
  const [appColor] = useAppColor();
  const isIOS = /iPad|iPhone|iPod/.test(navigator.userAgent);

  if(!isIOS){
    return <Fragment></Fragment>;
  }

  return (
    <div className="ios-status-bar" style={{ backgroundColor: appColor }}></div>
  );
};
